﻿using System;
using System.Collections.Generic;
using System.Reflection;
using Foundation;
using GameAnalyticsSDK;
using Newtonsoft.Json;
using TouchyTickets;
using UIKit;

namespace iOS {
    [Register("AppDelegate")]
    internal class Program : UIApplicationDelegate {

        private static GameImpl game;

        private static void RunGame() {
            game = new GameImpl(new IosAnalytics());
            game.Run();
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        private static void Main(string[] args) {
            UIApplication.Main(args, null, "AppDelegate");
        }

        public override void FinishedLaunching(UIApplication app) {
            RunGame();
        }

    }
}